import { DeclareConstructor } from "dojo/_base/declare";

interface _DialogMixin {
    /**
     * HTML snippet to show the action bar (gray bar with OK/cancel buttons).
     * Blank by default, but used by ConfirmDialog/ConfirmTooltipDialog subclasses.
     */
    actionBarTemplate: string;

    /**
     * Callback when the user hits the submit button.
     * Override this method to handle Dialog execution.
     */
    execute(formContents?: any): void;

    /**
     * Called when user has pressed the Dialog's cancel button, to notify container.
     */
    onCancel(): void;

    /**
     * Called when user has pressed the dialog's OK button, to notify container.
     */
    onExecute(): void;
}

declare module "dojo/_base/kernel" {
    interface Dijit {
        _DialogMixin: _DialogMixinConstructor
    }
}

type _DialogMixinConstructor = DeclareConstructor<_DialogMixin>;
declare const _DialogMixin: _DialogMixinConstructor;
export = _DialogMixin;
