
/**
 * Efficiently escape a string for insertion into HTML (innerHTML or attributes), replacing &, <, >, ", ', and / characters.
 */
export declare function escape(str: string): string;

/**
 * Efficiently replicate a string `n` times.
 */
export declare function rep(str: string, num: number): string;

/**
 * Pad a string to guarantee that it is at least `size` length by
 * filling with the character `ch` at either the start or end of the
 * string. Pads at the start, by default.
 */
export declare function pad(text: string, size: number, ch?: string, end?: boolean): string;

/**
 * Performs parameterized substitutions on a string. Throws an
 * exception if any parameter is unmatched.
 */
export declare function substitute(template: string, map: Object | any[], transform?: (value: any, key: string) => any, thisObject?: Object): string;

/**
 * Trims whitespace from both sides of the string
 */
export declare function trim(str: string): string;
